| ARX 1.0 The next-generation open source augmented reality toolkit.

Loading...
Searching...
No Matches
Public Attributes | List of all members
ARHandle Struct Reference

Structure holding state of an instance of the square marker tracker. More...

`#include <ar.h>`

Collaboration diagram for ARHandle:
[legend]

## Public Attributes
int | arDebug
AR_PIXEL_FORMAT | arPixelFormat
int | arPixelSize
int | arLabelingMode
int | arLabelingThresh
int | arImageProcMode
| To query this value, call arGetImageProcMode(). To set this value, call arSetImageProcMode().
int | arPatternDetectionMode
int | arMarkerExtractionMode
ARParamLT * | arParamLT
int | xsize
int | ysize
int | marker_num
ARMarkerInfo | markerInfo [AR_SQUARE_MAX]
int | marker2_num
ARMarkerInfo2 | markerInfo2 [AR_SQUARE_MAX]
int | history_num
ARTrackingHistory | history [AR_SQUARE_MAX]
ARLabelInfo | labelInfo
ARPattHandle * | pattHandle
AR_LABELING_THRESH_MODE | arLabelingThreshMode
int | arLabelingThreshAutoInterval
int | arLabelingThreshAutoIntervalTTL
int | arLabelingThreshAutoBracketOver
int | arLabelingThreshAutoBracketUnder
int | arLabelingThreshAutoAdaptiveKernelSize
int | arLabelingThreshAutoAdaptiveBias
ARImageProcInfo * | arImageProcInfo
ARdouble | pattRatio
| A value between 0.0 and 1.0, representing the proportion of the marker width which constitutes the pattern. In earlier versions, this value was fixed at 0.5.
AR_MATRIX_CODE_TYPE | matrixCodeType
| When matrix code pattern detection mode is active, indicates the type of matrix code to detect.
int | arCornerRefinementMode
ARdouble | areaMax
ARdouble | areaMin
ARdouble | squareFitThresh

## Detailed Description

Structure holding state of an instance of the square marker tracker.

This is the master object holding the current state of an intance of the square marker tracker, including tracker configuration, working variables, and results.

See also
  arCreateHandle
  arDeteleHandle

## Member Data Documentation

## ◆ arCornerRefinementMode

int ARHandle::arCornerRefinementMode

## ◆ arDebug

int ARHandle::arDebug

## ◆ areaMax

ARdouble ARHandle::areaMax

## ◆ areaMin

ARdouble ARHandle::areaMin

## ◆ arImageProcInfo

ARImageProcInfo* ARHandle::arImageProcInfo

## ◆ arImageProcMode

int ARHandle::arImageProcMode

To query this value, call arGetImageProcMode(). To set this value, call arSetImageProcMode().

## ◆ arLabelingMode

int ARHandle::arLabelingMode

## ◆ arLabelingThresh

int ARHandle::arLabelingThresh

## ◆ arLabelingThreshAutoAdaptiveBias

int ARHandle::arLabelingThreshAutoAdaptiveBias

## ◆ arLabelingThreshAutoAdaptiveKernelSize

int ARHandle::arLabelingThreshAutoAdaptiveKernelSize

## ◆ arLabelingThreshAutoBracketOver

int ARHandle::arLabelingThreshAutoBracketOver

## ◆ arLabelingThreshAutoBracketUnder

int ARHandle::arLabelingThreshAutoBracketUnder

## ◆ arLabelingThreshAutoInterval

int ARHandle::arLabelingThreshAutoInterval

## ◆ arLabelingThreshAutoIntervalTTL

int ARHandle::arLabelingThreshAutoIntervalTTL

## ◆ arLabelingThreshMode

AR_LABELING_THRESH_MODE ARHandle::arLabelingThreshMode

## ◆ arMarkerExtractionMode

int ARHandle::arMarkerExtractionMode

## ◆ arParamLT

ARParamLT* ARHandle::arParamLT

## ◆ arPatternDetectionMode

int ARHandle::arPatternDetectionMode

## ◆ arPixelFormat

AR_PIXEL_FORMAT ARHandle::arPixelFormat

## ◆ arPixelSize

int ARHandle::arPixelSize

## ◆ history

ARTrackingHistory ARHandle::history[AR_SQUARE_MAX]

## ◆ history_num

int ARHandle::history_num

## ◆ labelInfo

ARLabelInfo ARHandle::labelInfo

## ◆ marker2_num

int ARHandle::marker2_num

## ◆ marker_num

int ARHandle::marker_num

## ◆ markerInfo

ARMarkerInfo ARHandle::markerInfo[AR_SQUARE_MAX]

## ◆ markerInfo2

ARMarkerInfo2 ARHandle::markerInfo2[AR_SQUARE_MAX]

## ◆ matrixCodeType

AR_MATRIX_CODE_TYPE ARHandle::matrixCodeType

When matrix code pattern detection mode is active, indicates the type of matrix code to detect.

## ◆ pattHandle

ARPattHandle* ARHandle::pattHandle

## ◆ pattRatio

ARdouble ARHandle::pattRatio

A value between 0.0 and 1.0, representing the proportion of the marker width which constitutes the pattern. In earlier versions, this value was fixed at 0.5.

## ◆ squareFitThresh

ARdouble ARHandle::squareFitThresh

## ◆ xsize

int ARHandle::xsize

## ◆ ysize

int ARHandle::ysize

The documentation for this struct was generated from the following file:

- Source/ARX/AR/include/ARX/AR/ar.h